
# (C) Copyright 1996 University of Toronto
# Permission to use this software for non-commerical purposes is hereby
# granted.  This software is provided "as is" without express or implied
# warranty.  This software may not be transferred or sublicensed.
# Any enhancements made by the recipient of this software shall be
# shared with the original copyright holders.

# Acknowledgements
# This software was developed as part of the project entitled "Models
# for Supporting the Analysis and Redesign of Business Processes" funded
# by the Information Technology Research Centre of Ontario.
# Principal investigators for the project are John Mylopoulos, Ray
# Reiter, Hector Levesque, Eric Yu, and Yves Lesperance.
# The i* modelling framework (including the Strategic Dependency and
# Strategic Rationale models) was developed by Eric Yu in his doctoral
# dissertation, Department of Computer Science, University of Toronto,
# 1995.
# This software was originally written by Chen Wang as part of his
# Master degree requirement.
# Substantial modifications and enhancements were made by Godfrey Cheng
# and Seyil Yoon, who worked as summer students on this project.
# The "repository" part of the code was originally written by Brian Kramer and
# subsequently modified by Chen Wang, Seyil Yoon, and Godfrey Cheng.


##########################################################################
# Grab all the files
##########################################################################

source "./_fsbox.tcl"
source "./OME_global.tcl"
source "./_text.tcl"
source "./OME_telos.tcl"
source "./OME_envir.tcl"
source "./OME_node.tcl"
source "./OME_link.tcl"
source "./OME_context.tcl"
source "./OME_misc.tcl"
source "./OME_file.tcl"
source "./_dialog.tcl"

parse_design_file 0 "OME_class.tel"
set res [setup_main_window "Guest"]
setup_draw_area [lindex $res 1]
